Transcribe medical audio to text
curl --request POST \
--url 'https://api.eka.care/voice/get-asr?language={language}' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.eka.care/voice/get-asr?language={language}"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', 'aSDinaTvuI8gbWludGxpZnk=');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.eka.care/voice/get-asr?language={language}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"text": "Hi, this is again a V2 round testing to V2 testing V2 testing. Hello, hi. Hello, hi. Uh please have Dolo every day twice a day, twice a day."
}{
"message": "Unauthorized"
}{
"message": "Forbidden"
}{
"message": "Request Entity Too Large"
}{
"message": "Internal Server Error"
}EkaScribe
Audio Transcription
Eka Care’s ASR (Automatic Speech Recognition) API for medical speech transcription converts spoken medical language into accurate text. It’s designed to understand medical terminology, drug names, procedures, and diseases etc.
POST
/
voice
/
get-asr?language=
{language}
Transcribe medical audio to text
Audio Requirements:
- Supported Formats: wav, mp3, m4a
- Preferred Sampling Rate: 16kHz
- File Size Limit: 5MB
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Language code for the input audio to be transcribed. Only the following codes are supported:
en-IN: English (India)en-US: English (United States)hi: Hindita: Tamilte: Telugukn: Kannadaml: Malayalambn: Bengaligu: Gujaratimr: Marathipa: Punjabi
Available options:
en-IN, en-US, hi, ta, te, kn, ml, bn, gu, mr, pa Example:
"en-IN"
Body
multipart/form-data
The audio file to be uploaded from your local system. Supports formats wav, mp3, and m4a.
Response
Successful transcription
Transcribed text from the audio.
Was this page helpful?
⌘I

